Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(LWP/Simple.pm) perl-podlators
# END SourceDeps(oneline)
%add_findreq_skiplist %{perl_vendorarch}/DBD/*.pl
BuildRequires: perl-DBI-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-DBD-SQLite2
Version:        0.38
Release:        alt4_16
Summary:        Self Contained RDBMS in a DBI Driver (sqlite 2.x)
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/DBD-SQLite2
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSERGEANT/DBD-SQLite2-%{version}.tar.gz
Patch0:		DBD-SQLite2-systemlibs.patch
BuildRequires:  gcc
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl-devel
BuildRequires:	perl-devel
BuildRequires:	rpm-build-perl
BuildRequires:	perl(Config.pm)
BuildRequires:	perl(DBI.pm)
BuildRequires:	perl(DBI/DBD.pm)
BuildRequires:	perl(DynaLoader.pm)
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
BuildRequires:	perl(Fatal.pm)
BuildRequires:	perl(File/Copy.pm)
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(strict.pm)
BuildRequires:	perl(Test.pm)
BuildRequires:	perl(Test/More.pm)
BuildRequires:	perl(vars.pm)
BuildRequires:	perl(warnings.pm)
BuildRequires:	sqlite2-devel
BuildRequires:  perl(Fatal.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n DBD-SQLite2-%{version}
%patch0 -p1

# Make sure to be using the system-wide version
rm sqlite.h

# https://rt.cpan.org/Public/Bug/Display.html?id=55636
# Unclear whether test is broken or not supposed to be executed
# Rename to avoid it being executed
mv t/ak-dbd.t t/ak-dbd.t.bak

%build
CFLAGS="$RPM_OPT_FLAGS" /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# t/ak-dbd.t doesn't work (c.f. above)
make test

%files
%doc Changes README
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/DBD

%changelog
* Mon Dec 04 2023 Igor Vlasenko <viy@altlinux.org> 0.38-alt4_16
- update

* Thu Jul 15 2021 Cronbuild Service <cronbuild@altlinux.org> 0.38-alt4_7
- rebuild to get rid of unmets

* Wed Nov 04 2020 Igor Vlasenko <viy@altlinux.ru> 0.38-alt3_7
- update

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.38-alt3_5
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.38-alt3_4
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.38-alt3_3
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.38-alt3_2
- update to new release by fcimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.38-alt3_1
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.38-alt2_1
- rebuild to get rid of unmets

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.38-alt1_1
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.37-alt3_11
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.37-alt3_10
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.37-alt3_9
- update to new release by fcimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.37-alt3_7
- rebuild with perl 5.26

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.37-alt2_7
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.37-alt2_5
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.37-alt2_4
- update to new release by fcimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.37-alt2_3
- rebuild to get rid of unmets

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.37-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.37-alt1_2
- update to new release by fcimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.36-alt2_4
- rebuild to get rid of unmets

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.36-alt1_4
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.36-alt1_3
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 0.36-alt1_1
- update to new release by fcimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.33-alt3_27
- rebuild to get rid of unmets

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.33-alt2_27
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.33-alt2_26
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.33-alt2_25
- update to new release by fcimport

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.33-alt2_24
- rebuild to get rid of unmets

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1_24
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1_23
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1_22
- update to new release by fcimport

* Tue Jan 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1_20
- initial fc import

